### Class

# Ide DebuggerThread

#### Description

    class Ide.DebuggerThread : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_debugger_thread_new

No description available.

#### Instance methods

###### ide_debugger_thread_compare

No description available.

###### ide_debugger_thread_get_group

No description available.

###### ide_debugger_thread_get_id

No description available.

###### ide_debugger_thread_set_group

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.DebuggerThread:group

No description available.

###### Ide.DebuggerThread:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDebuggerThreadClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.